#!/bin/bash
#
# stbyshort.sh
#
BOOTFLAGFILE=/etc/bootflag
#
# stop running processes
/etc/stopproc.sh
#
echo "`date` stbyshort: Going asleep now" >> /var/log/logrtc.log
#
# sleep for 30min (60*30 = 1800)
# sleep for  2min (60*2 = 120)
/usr/sbin/vbetool vbestate save > /tmp/videostate
/usr/sbin/rtcwake -s 900 -m mem
/usr/sbin/vbetool vbestate restore < /tmp/videostate
#
echo "`date` stbyshort: Woken up from sleep, rebooting now" >> /var/log/logrtc.log
echo "S" > $BOOTFLAGFILE
/sbin/reboot

#################################################################
#NOTES:
# 1) The call to save the vbestate produces the following output
#    on stderr:     Allocated buffer at 0x2010 (base is 0x0)
#                   ES: 0x0201 EBX: 0x0000               
#
# 2) The call to restore the vbestate produces the following output
#    on stderr:     Function not supported
#
# These errors do not appear to affect performance
#################################################################


